#!/usr/local/bin/perl

$MAIL_PROGRAM="/usr/sbin/sendmail";
$ADMIN_EMAIL="automailer\@orchestra.es";
$DIRECCIONES_EMAIL="javier\@orchestra.es";
$ROOT_DIR="$ENV{DOCUMENT_ROOT}/TME";
$DIRECTORIO_ALMACENAMIENTO="$ROOT_DIR/MODULOS/";
$DIRECTORIO_DESCRIPCION="$ROOT_DIR/FICHEROS/";

	my ($module_id, $module_name)=("1011007067_52", "modulo de prueba");

	use MongerMail;
		my $mail = new MongerMail($MAIL_PROGRAM);
		$mail->to($DIRECCIONES_EMAIL);
		$mail->from($ADMIN_EMAIL);
		$mail->subject("Nuevo módulo generado " . $module_name );
		$mail->content("Este es un mensaje automático enviado por el sistema de documentación \r\n de producción para indicarle que se ha generado un nuevo documento de módulo.\r\n El anexo contiene el fichero de descripción del módulo: " . $module_name . " .\r\n Por favor, recuerde que para generar el documento Word final debe procesar el fichero descriptor de módulo \r\n que acaba de recibir con la aplicación GENDOC");
		$mail->attachment($DIRECTORIO_DESCRIPCION . $module_id. ".mod");
#		$mail->send;

print "Content-type: text/html\n\n";
print "<HTML><BODY>";

$memo="casa\r\n\r\ncasita\r\ncasaza\r\n\r\n\r\n";
	@lineas=split("\\r\\n", $memo);
	$num_lineas=@lineas;
	print "<P>" . "$num_lineas$NL";
	print "<P>" . "$memo$NL";
foreach $cadena (@lineas) {
	print "<P>cad=$cadena";
}
print "</BODY></HTML>";